class VendorCategoriesModel {
  int? id;
  String? name;
 
  String? createdDate;
  int? noOfService;
  String? icon1;
  String? image1;

  VendorCategoriesModel({
    this.id,
    this.name,
  
    this.createdDate,
    this.noOfService,
    this.icon1,
    this.image1,
  });

  factory VendorCategoriesModel.fromJson(Map<String, dynamic> json) {
    return VendorCategoriesModel(
      id: json['id'],
      name: json['name'] ?? '',
    
      createdDate: json['created_date'] ?? '',
      noOfService: json['no_of_service'] ?? 0,
      icon1: json['icon1'] ?? '',
      image1: json['image1'] ?? '',
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      
      'created_date': createdDate,
      'no_of_service': noOfService,
      'icon1': icon1,
      'image1': image1,
    };
  }
}
